Get conversation transcript
Returns a page of transcript turns ordered by seq. Paginate using after_seq set to the last seq in the previous page. Returns an empty turns list once all turns have been fetched.
Required scope: intelligence:read
Path Parameters
- Type: string · Conversation Idconversation
_id requiredThe conversation identifier returned when a session was created.
Query Parameters
- Type: integer · After Seqnullableafter
_seq Return only turns with
seqgreater than this value. Omit for the first page. - Type: integer · Limitlimitmin:1max:500
Page size (default 100, max 500).
Responses
- application/json
- application/json
- application/json
- application/json
Request Example for get/conversations/{conversation_id}/transcript
curl 'https://api.simwood.com/intelligence/v1/conversations/{conversation_id}/transcript' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"turns": [
{
"seq": 1,
"speaker": "string",
"text": "string",
"occurred_at": "string"
}
],
"next_after_seq": 1
}